Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454260 (ARCH) - /etc/profile.d/qt.sh leaks variable ARCH
Summary: /etc/profile.d/qt.sh leaks variable ARCH
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: ARCH
Product: Fedora
Classification: Fedora
Component: qt3
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 10:44 UTC by Bert DeKnuydt
Modified: 2008-07-15 12:15 UTC (History)
4 users (show)

Fixed In Version: 3.3.8b-14.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 12:15:31 UTC


Attachments (Terms of Use)

Description Bert DeKnuydt 2008-07-07 10:44:15 UTC
Description of problem:

Bash startup file /etc/profile.d/qt.sh internally uses variable ARCH, but
inadvertently leaks this (unexported) variable to the users shell.
As ARCH is a pretty common name for a variable, it can cause trouble.
Even if it doesn't, it is still pollution... 

Version-Release number of selected component (if applicable):

qt3-3.3.8b-13.fc9

BTW, qt-3.3.8b-2.fc8 does not have this problem yet.

How reproducible:

Always.

Steps to Reproduce:
1. echo $ARCH in an otherwise clean shell
2.
3.
  
Actual results:

x86_64

Expected results:

Variable nonexistent.

Additional info:

Fix is easy: 

  *) Either undef ARCH somewhere at the end of the script
  *) Or not to use a one-time variable here at all ...
     "case $(uname -m) in " 

The csh-version of that script seems to do the same ...

BTW: in a similar way the script 'colorls.sh' from coreutils
     leaks the variable 'colors'.

Comment 1 Rex Dieter 2008-07-07 19:41:00 UTC
* Mon Jul 07 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.3.8b-14
- QTDIR isn't set in ppc64 buildroot (#454313)
- /etc/profile.d/qt.sh leaks variable ARCH (#454260)

Comment 2 Fedora Update System 2008-07-08 13:43:08 UTC
qt3-3.3.8b-14.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-09 02:41:01 UTC
qt3-3.3.8b-14.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt3'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6172

Comment 4 Fedora Update System 2008-07-15 12:15:26 UTC
qt3-3.3.8b-14.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.